# $Revision: 1.38 $, $Date: 2002/10/14 14:20:45 $
Summary:	Norman Walsh's modular stylesheets for DocBook
Summary(pl):	Arkusze stylistyczne XSL dla DocBook DTD
Summary(pt_BR):	Stylesheets modulares do Norman Walsh para DocBook
Name:		docbook-style-xsl
Version:	1.56.1
Release:	1
License:	(C) 1997, 1998 Norman Walsh (Free)
Group:		Applications/Publishing/XML
Vendor:		Norman Walsh http://nwalsh.com/
Source0:	http://osdn.dl.sourceforge.net/sourceforge/docbook/docbook-xsl-%{version}.tar.gz
URL:		http://docbook.sourceforge.net/projects/xsl/index.html
BuildRequires:	/usr/bin/xmlcatalog
Requires(post,postun): /usr/bin/xmlcatalog
Requires(post,postun): /etc/xml/catalog
Requires:	/etc/xml/catalog
Requires:	sgml-common >= 0.5
AutoReqProv:	0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# think about _javaclassdir location
#%define		_javaclassdir	%{_datadir}/java/classes
%define xsl_path %{_datadir}/sgml/docbook/xsl-stylesheets
%define catalog  %{xsl_path}/catalog.xml

%description
Highly customizable XSL stylesheets for DocBook XML DTD. The
stylesheets allow to produce documents in XSL FO, HTML or XHTML
formats.

%description -l pl
Konfigurowalne arkusze stylistyczne dla DocBook XML DTD. Arkusze
stylistyczne, zawarte w tym pakiecie, umoliwiaj tworzenie dokumentw
w formacie XSL FO, HTML lub XHTML.

%description -l pt_BR
Stylesheets modulares do Norman Walsh para DocBook.

%prep
%setup -q -n docbook-xsl-%{version}

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT{%{xsl_path},%{_sysconfdir}/xml} \
#	$RPM_BUILD_ROOT%{_javaclassdir}
install -d $RPM_BUILD_ROOT{%{xsl_path},%{_sysconfdir}/xml}

cp -a * $RPM_BUILD_ROOT%{xsl_path}

#install extensions/*.jar $RPM_BUILD_ROOT%{_javaclassdir}

%xmlcat_create $RPM_BUILD_ROOT%{catalog}
 
%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl/%{version} file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}
%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl/current file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}

rm -rf $RPM_BUILD_ROOT%{xsl_path}/doc \
	$RPM_BUILD_ROOT%{xsl_path}/BUGS \
	$RPM_BUILD_ROOT%{xsl_path}/ChangeLog \
	$RPM_BUILD_ROOT%{xsl_path}/README \
	$RPM_BUILD_ROOT%{xsl_path}/RELEASE-NOTES.html \
	$RPM_BUILD_ROOT%{xsl_path}/RELEASE-NOTES.xml \
	$RPM_BUILD_ROOT%{xsl_path}/TODO \
	$RPM_BUILD_ROOT%{xsl_path}/WhatsNew \
	$RPM_BUILD_ROOT%{xsl_path}/extensions

%clean
rm -rf $RPM_BUILD_ROOT

%pre 
if [ -L %{xsl_path} ] ; then
	rm -rf %{xsl_path}
fi

%post
if ! grep -q %{catalog} /etc/xml/catalog ; then
    %xmlcat_add %{catalog}

fi 
 
%preun
if [ "$1" = "0" ] ; then
    %xmlcat_del %{catalog}

fi

%files
%defattr(644,root,root,755)
%doc doc ChangeLog WhatsNew BUGS TODO README RELEASE-NOTES.*
#%{_javaclassdir}/*
%{xsl_path}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: docbook-style-xsl.spec,v $
Revision 1.38  2002/10/14 14:20:45  wiget
- 1.56.1

Revision 1.37  2002/10/06 14:57:21  qboosh
- add rewrite rule with "current" version too (all *.xsl use this, not 1.55.0)
- release 3

Revision 1.36  2002/09/27 13:23:21  wrobell
- more macros

Revision 1.35  2002/09/27 12:25:09  wrobell
- more macros in rpm packages

Revision 1.34  2002/09/27 08:15:21  wrobell
- remove sgml macros definitions, which are in rpm package, now
- skip java stuff installation /anybody using it? then do it as should
  it be done/
- rel. 2

Revision 1.33  2002/09/18 13:13:22  wiget
- updated to 1.55.0

Revision 1.32  2002/09/04 15:09:22  wiget
- merge xmlcatalog branch
- drop %%{version} from files location
- English es "translation" removed
- release 2

Revision 1.31  2002/09/03 16:47:51  wiget
- updated to 1.54.1
- drop %%{version} from files location (fixed location simplify some tasks)
- new %%doc

Revision 1.30  2002/08/29 12:37:55  aflinta
- updated %files

Revision 1.29  2002/04/25 16:12:57  arturs
fixed a small typo

Revision 1.28  2002/04/16 17:36:46  wrobell
- ver. 1.50.0
- minor clean up
- stb

Revision 1.27  2002/03/02 07:57:20  kloczek
- updated to 1.49.

Revision 1.26  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/07 16:40:31  wrobell
- ver. 1.48

Revision 1.22  2001/12/01 20:38:55  kloczek
- typo.

Revision 1.21  2001/12/01 20:37:46  kloczek
- merge translations from Conectiva.

Revision 1.20  2001/11/29 21:32:57  filon
- fixed files, there is no 'test' catalog
- release 2

Revision 1.19  2001/10/06 16:10:02  kloczek
- updated to 1.45.

Revision 1.18  2001/08/20 16:50:43  wrobell
- ver. 1.44

Revision 1.17  2001/07/26 16:32:58  wiget
simplified %%{version} handling
release 3

Revision 1.16  2001/07/26 15:08:25  wrobell
- pl translations are contributed by klakier to author
- fixed file list
- rel 2, stb

Revision 1.15  2001/07/25 15:10:04  wrobell
- up to ver. 1.41

Revision 1.14  2001/06/18 14:46:19  pawelk
upgraded to version 1.40

Revision 1.12  2001/04/02 15:24:43  klakier
- added new url

Revision 1.11  2001/03/27 18:58:06  klakier
- 1.34 has broken polish localization. fixed

Revision 1.10  2001/03/27 18:01:15  wiget
1.34

Revision 1.9  2001/03/15 21:14:12  kloczek
- release 1,
- s/Copyright/License/.

Revision 1.8  2001/03/15 21:13:18  kloczek
- cosmetics.

Revision 1.7  2001/03/15 20:34:44  klakier
- ver 1.31

Revision 1.6  2001/02/18 23:14:46  klakier
- rel 5
- added files xtdocbook.xsl (docbook.xsl without automatic indexing that makes
  problem to 'xt' processor)

Revision 1.5  2001/02/18 22:03:20  klakier
- rel 4
- added *.jar files from extensions

Revision 1.4  2001/02/16 16:05:23  klakier
- forgotten fix

Revision 1.3  2001/02/16 12:57:24  klakier
- disable indexing for fo

Revision 1.2  2001/02/13 15:53:55  klakier
- added -n to ln

Revision 1.1  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.3  2001/02/08 18:11:04  klakier
- ver 1.29

Revision 1.2  2000/09/30 21:10:04  klakier
- forgotten file 'VERSION' added

Revision 1.1  2000/09/30 21:03:30  klakier
- finished (untested)
